/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Gurov - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.core.resource;

import org.modelbus.team.eclipse.core.connector.ModelBusConnectorException;

/**
 * Any remote container
 * 
 * @author Alexander Gurov
 */
public interface IRepositoryContainer extends IRepositoryResource {

	public boolean isChildrenCached();

	public IRepositoryResource[] getChildren() throws ModelBusConnectorException;

}
