/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.modelbus.team.eclipse.repository.ui;

/**
 * A replace is simply a get that overwrite local changes
 */
public class ReplaceAction extends GetAction {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.modelbus.team.eclipse.repository.ui.GetAction#isOverwriteOutgoing()
	 */
	protected boolean isOverwriteOutgoing() {
		return true;
	}
}
