/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Gurov - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.ui.dialog;

import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Shell;
import org.modelbus.team.eclipse.ui.ModelBusTeamUIPlugin;

/**
 * "Replace with..." warning dialog
 * 
 * @author Alexander Gurov
 */
public class ReplaceWarningDialog extends MessageDialog {

	public ReplaceWarningDialog(Shell parentShell) {
		super(parentShell, ModelBusTeamUIPlugin.instance().getResource("ReplaceWarningDialog.Title"), null, ModelBusTeamUIPlugin.instance()
				.getResource("ReplaceWarningDialog.Message"), MessageDialog.QUESTION, new String[] { IDialogConstants.YES_LABEL,
				IDialogConstants.NO_LABEL }, 0);
	}

}
