/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Gurov - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.ui.repository;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.ui.IPathEditorInput;
import org.eclipse.ui.IStorageEditorInput;
import org.modelbus.team.eclipse.core.resource.IRepositoryResource;

/**
 * Repository resource based editor input interface
 * 
 * @author Alexander Gurov
 */
public interface IRepositoryEditorInput extends IStorageEditorInput, IPathEditorInput {
	public IRepositoryResource getRepositoryResource();

	public void fetchContents(IProgressMonitor monitor);
}
