/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Gurov - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.core.modelbusstorage;

import org.modelbus.team.eclipse.core.connector.ModelBusRevision;
import org.modelbus.team.eclipse.core.resource.IRepositoryRoot;

/**
 * ModelBus based representation of IRepositoryRoot
 * 
 * @author Alexander Gurov
 */
public class ModelBusRepositoryTrunk extends ModelBusRepositoryRootBase {
	private static final long	serialVersionUID	= -3574219149033961588L;

	public ModelBusRepositoryTrunk(String url, ModelBusRevision selectedRevision) {
		super(url, selectedRevision);
	}

	public int getKind() {
		return IRepositoryRoot.KIND_TRUNK;
	}

}
