/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Sergiy Logvin - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.core.operation.remote;

import org.eclipse.core.runtime.IProgressMonitor;
import org.modelbus.team.eclipse.core.resource.IRepositoryResource;

/**
 * Break repository resources lock operation
 * 
 * @author Sergiy Logvin
 */
public class BreakLockOperation extends AbstractRepositoryOperation {
	public BreakLockOperation(IRepositoryResource[] resources) {
		super("Operation.BreakLock", resources);
	}

	protected void runImpl(final IProgressMonitor monitor) throws Exception {
		IRepositoryResource[] resources = this.operableData();
		// Map<?, ?> splittedSet = ModelBusUtility.splitRepositoryLocations(resources);

		// for (Iterator<?> it = splittedSet.entrySet().iterator(); it.hasNext(); ) {
		// Map.Entry entry = (Map.Entry)it.next();
		//
		// List<?> values = (List<?>)entry.getValue();
		// final String []paths = ModelBusUtility.asURLArray(values.toArray(new IRepositoryResource[values.size()]), true);
		//
		// this.complexWriteToConsole(new Runnable() {
		// public void run() {
		// BreakLockOperation.this.writeToConsole(IConsoleStream.LEVEL_CMD, "modelbus unlock");
		// for (int i = 0; i < paths.length && !monitor.isCanceled(); i++) {
		// BreakLockOperation.this.writeToConsole(IConsoleStream.LEVEL_CMD, " \"" + ModelBusUtility.decodeURL(paths[i]) + "\"");
		// }
		// BreakLockOperation.this.writeToConsole(IConsoleStream.LEVEL_CMD, " --force" + FileUtility.getUsernameParam(ModelBusConnector.getUserName())
		// +
		// "\n");
		// }
		// });
		//
		// final IModelBusConnector proxy = ModelBusConnector.getModelBusConnector();
		// this.protectStep(new IUnprotectedOperation() {
		// public void run(IProgressMonitor monitor) throws Exception {
		// proxy.unlock(paths, IModelBusConnector.Options.FORCE, new ModelBusProgressMonitor(BreakLockOperation.this, monitor, null));
		// }
		// }, monitor, splittedSet.size());
		// }
		throw new RuntimeException("TODOMWA");
	}

}
