/********************************************
 * ongoing che
 ********************************************/

package org.modelbus.team.eclipse.repository;

import java.util.List;

import org.eclipse.emf.ecore.util.EcoreUtil;
import org.modelbus.dosgi.repository.descriptor.Property;
import org.modelbus.dosgi.repository.descriptor.Session;

public class UserSessionHelper {

	private UserSessionHelper() {
	}

	private static Session	session		= null;

	private static String	oldName		= "";

	private static String	oldPassword	= "";

	public static Session getSession() {
		if (oldName == null) {
			oldName = "";
		}
		if (oldPassword == null) {
			oldPassword = "";
		}

		if (session == null || !oldName.equals(getPropertyUserName()) || !oldPassword.equals(getPropertyUserPassword())) {
			session = new Session();
			session.setId(EcoreUtil.generateUUID());
			Property propertyUserName = new Property();
			propertyUserName.setKey("username");
			propertyUserName.setValue(getPropertyUserName());

			Property propertyPassword = new Property();
			propertyPassword.setKey("password");
			propertyPassword.setValue(getPropertyUserPassword());

			List<Property> properties = session.getProperties();
			properties.add(propertyUserName);
			properties.add(propertyPassword);
		}
		return session;
	}

	public static String getPropertyUserName() {
		return org.modelbus.preferences.user.Activator.getDefault().getPreferenceStore()
				.getString(org.modelbus.preferences.user.preferences.PreferenceConstants.USERNAME_STRING);
	}

	public static String getPropertyUserPassword() {
		return org.modelbus.preferences.user.Activator.getDefault().getPreferenceStore()
				.getString(org.modelbus.preferences.user.preferences.PreferenceConstants.PASSWORD_STRING);
	}

}
