package org.modelbus.team.eclipse.repository.ui;

import java.util.Observable;
import java.util.Observer;

public class ModelBusRepositoryStatus extends Observable {

	private boolean	isAvailable	= false;

	public synchronized void addObserver(Observer o) {
		super.addObserver(o);
		this.fireChange();
	}

	public boolean isAvailable() {
		return isAvailable;
	}

	public void setAvailable(boolean available) {

		this.isAvailable = available;

		this.fireChange();
	}

	private void fireChange() {
		this.setChanged();
		this.notifyObservers();
		this.clearChanged();
	}

}
