/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Gurov - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.ui.dialog;

import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Shell;
import org.modelbus.team.eclipse.ui.ModelBusTeamUIPlugin;

/**
 * Unresolved conflict notification dialog
 * 
 * @author Alexander Gurov
 */
public class NotifyUnresolvedConflictDialog extends MessageDialog {

	public NotifyUnresolvedConflictDialog(Shell parentShell, String message) {
		super(parentShell, ModelBusTeamUIPlugin.instance().getResource("NotifyUnresolvedConflictDialog.Title"), null, message != null ? message
				: ModelBusTeamUIPlugin.instance().getResource("NotifyUnresolvedConflictDialog.Message"), MessageDialog.WARNING,
				new String[] { IDialogConstants.OK_LABEL }, 0);
	}

}
