package org.modelbus.team.eclipse.changemodelnotification.listener;

import org.modelbus.core.lib.notification.INotificationListener;
import org.modelbus.team.eclipse.changemodelnotification.Activator;
import org.modelbus.team.eclipse.changemodelnotification.update.UpdateManager;

public class ModelbusChangeModelNotificationListener implements INotificationListener {

	public ModelbusChangeModelNotificationListener() {

	}

	@Override
	public void commitChangeModelNotification(String modelUri, String messageID, String changeModelContent) {
		if (!Activator.MESSAGE_ID.equals(messageID)) {

			UpdateManager updateManager = UpdateManager.getUpdateManager();
			updateManager.applyChanges(changeModelContent, modelUri);
		}
	}

	@Override
	public void notification(String url, String mode, String user, String sessionID) {

	}

}
