/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Gurov - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.core.operation;

import org.modelbus.team.eclipse.core.connector.IModelBusProgressMonitor;

/**
 * Empty implementation of the IProgressMonitor interface
 * 
 * @author Alexander Gurov
 */
public class ModelBusNullProgressMonitor implements IModelBusProgressMonitor {
	public void progress(int current, int total, ItemState state) {

	}

	public boolean isActivityCancelled() {
		return false;
	}

}
