package org.modelbus.team.eclipse.repository;

import java.io.File;

import org.modelbus.core.lib.configuration.ModelBusConfiguration;
import org.modelbus.core.lib.util.AbstractLocationsUtil;

public class TeamProviderLocationsUtil extends AbstractLocationsUtil {
	// private boolean sslSystemParamsSet = false;

	@Override
	public String getNotificationLocation() {
		// TODO: men use preferences pages
		return super.getNotificationLocation();
	}

	/**
	 * This method trys to use the HTTPS connection when configured in preferences page
	 * 
	 * @return
	 */
	@Override
	public String getRepositoryLocation(/* boolean tryToUseSSL */) {
		// TODO: men use preferences pages
		return super.getRepositoryLocation(/* tryToUseSSL */);
	}

	@Override
	public String getSecureRepositoryLocation() {
		// TODO: men use preferences pages
		String secureRepoLocation = null;

		try {
			secureRepoLocation = ModelBusConfiguration.getLocation(ModelBusConfiguration.LOCATION_REPOSITORY_SECURE);

			if (secureRepoLocation == null) {
				return null;
			}

			// if(!this.sslSystemParamsSet){
			// final String trustStorePath = ModelBusConfiguration.getLocationProperty(
			// ModelBusConfiguration.LOCATION_REPOSITORY_SECURE, ModelBusConfiguration.LOCATION_PROPERTY_SSL_TRUSTSTORE).getValue();
			//
			// System.setProperty("javax.net.ssl.trustStore", ModelBusConfiguration.getAbsoluteConfigFilePath(trustStorePath));
			// System.setProperty("javax.net.ssl.trustStorePassword", ModelBusConfiguration.getLocationProperty(
			// ModelBusConfiguration.LOCATION_REPOSITORY_SECURE, ModelBusConfiguration.LOCATION_PROPERTY_SSL_TRUSTSTORE_PASSWORD).getValue());
			//
			// this.sslSystemParamsSet = true;
			// }
		} catch (Exception exc) {
			throw new RuntimeException(exc);
		}

		return AbstractLocationsUtil.getExternalLocation(secureRepoLocation);
	}

	@Override
	public String getModelBusConfigModelFolderLocation() {
		final String configModelPath = this.getModelBusConfigModelLocation();

		if (configModelPath.indexOf(File.separator) != -1) {
			return configModelPath.substring(0, configModelPath.lastIndexOf(File.separator));
		}

		return null;
	}

	@Override
	public String getModelBusConfigModelLocation() {
		return RepositoryLocationHelper.getPropertyConfigurationModelPath();
	}

	@Override
	protected boolean isSSLConnectionForced() {
		return RepositoryLocationHelper.getPropertyUseSSL();
	}

	@Override
	protected boolean enableTryToUseSSL() {
		return false;
	}

}
