/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Gurov - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.ui.panel.remote;

import org.modelbus.team.eclipse.ui.ModelBusTeamUIPlugin;

/**
 * Create remote folder panel
 * 
 * @author Alexander Gurov
 */
public class CreateFolderPanel extends AbstractGetResourceNamePanel {

	public CreateFolderPanel() {
		super(ModelBusTeamUIPlugin.instance().getResource("CreateFolderPanel.Title"), true);
		this.dialogDescription = ModelBusTeamUIPlugin.instance().getResource("CreateFolderPanel.Description");
	}

	public String getHelpId() {
		return "org.modelbus.team.eclipse.help.remote_createFolderDialogContext";
	}

}
