/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Gurov - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.ui.repository.model;

import org.modelbus.team.eclipse.core.resource.IRepositoryResource;
import org.modelbus.team.eclipse.ui.repository.RepositoryTreeViewer;

/**
 * IRepositoryResource based tree node interface
 * 
 * @author Alexander Gurov
 */
public interface IResourceTreeNode extends IDataTreeNode {
	public IRepositoryResource getRepositoryResource();

	public void setViewer(RepositoryTreeViewer repositoryTree);
}
