/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Gurov - Initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.core.modelbusstorage;

import org.eclipse.core.resources.IResource;
import org.modelbus.team.eclipse.core.connector.ModelBusRevision;
import org.modelbus.team.eclipse.core.resource.ILocalFile;

/**
 * Working Copy file representation
 * 
 * @author Alexander Gurov
 */
public class ModelBusLocalFile extends ModelBusLocalResource implements ILocalFile {
	public ModelBusLocalFile(IResource resource, ModelBusRevision revision, ModelBusRevision baseRevision, String status, int changeMask, String author, long lastCommitDate) {
		super(resource, revision, baseRevision, status, changeMask, author, lastCommitDate);
	}

}
