package org.modelbus.team.eclipse.repository.ui;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IResource;
import org.eclipse.team.core.RepositoryProvider;
import org.eclipse.team.ui.history.HistoryPageSource;
import org.eclipse.ui.part.Page;
import org.modelbus.team.eclipse.repository.ModelBusRepositoryProvider;

public class ModelBusRepositoryHistoryPageSource extends HistoryPageSource {

	public boolean canShowHistoryFor(Object object) {
		if (object instanceof IResource && ((IResource) object).getType() == IResource.FILE) {
			RepositoryProvider provider = RepositoryProvider.getProvider(((IFile) object).getProject());
			if (provider instanceof ModelBusRepositoryProvider)
				return true;
		}

		return false;
	}

	public Page createPage(Object object) {
		ModelBusRepositoryHistoryPage page = new ModelBusRepositoryHistoryPage();
		return page;
	}

}
