/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexei Goncharov (Polarion Software) - initial API and implementation
 *******************************************************************************/

package org.modelbus.team.eclipse.ui.panel.local;

import org.modelbus.team.eclipse.core.connector.ModelBusRevision;
import org.modelbus.team.eclipse.core.resource.IRepositoryResource;
import org.modelbus.team.eclipse.ui.ModelBusTeamUIPlugin;
import org.modelbus.team.eclipse.ui.composite.RepositoryResourceSelectionComposite;
import org.modelbus.team.eclipse.ui.panel.common.AbstractRepositoryResourceSelectionPanel;

/**
 * Replace With URL panel
 * 
 * @author Alexei Goncharov
 */
public class ReplaceWithUrlPanel extends AbstractRepositoryResourceSelectionPanel {

	public ReplaceWithUrlPanel(IRepositoryResource baseResource, ModelBusRevision currentRevision) {
		super(baseResource, currentRevision, ModelBusTeamUIPlugin.instance().getResource("ReplaceUrlPanel.Title"), ModelBusTeamUIPlugin.instance()
				.getResource("ReplaceUrlPanel.Selection.Description"), "replaceUrl", ModelBusTeamUIPlugin.instance().getResource(
				"ReplaceUrlPanel.Selection.Title"), ModelBusTeamUIPlugin.instance().getResource("ReplaceUrlPanel.Description"),
				RepositoryResourceSelectionComposite.TEXT_BASE);
		this.defaultMessage = ModelBusTeamUIPlugin.instance().getResource("ReplaceUrlPanel.Message");
	}

}
